com.verisign.epp.codec.loginsecpolicy.v01

## Enum EPPLoginSecPolicyEvent.EventExpiryError

- java.lang.Object
- - java.lang.Enum<EPPLoginSecPolicyEvent.EventExpiryError>
  - - com.verisign.epp.codec.loginsecpolicy.v01.EPPLoginSecPolicyEvent.EventExpiryError

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EPPLoginSecPolicyEvent.EventExpiryError>
  Enclosing class:
    EPPLoginSecPolicyEvent

      public static enum EPPLoginSecPolicyEvent.EventExpiryError
      extends java.lang.Enum<EPPLoginSecPolicyEvent.EventExpiryError>
      implements java.io.Serializable, java.lang.Cloneable

  Possible list of event expiration error types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `connect` An error event will result in a failure to connect.
    `login` An error event will result in a failure to login.
    `none` An error event will not result in a server action.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPLoginSecPolicyEvent.EventExpiryError` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPLoginSecPolicyEvent.EventExpiryError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### connect

          public static final EPPLoginSecPolicyEvent.EventExpiryError connect

      An error event will result in a failure to connect.

    - #### login

          public static final EPPLoginSecPolicyEvent.EventExpiryError login

      An error event will result in a failure to login.

    - #### none

          public static final EPPLoginSecPolicyEvent.EventExpiryError none

      An error event will not result in a server action.

  - ### Method Detail

    - #### values

          public static EPPLoginSecPolicyEvent.EventExpiryError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPLoginSecPolicyEvent.EventExpiryError c : EPPLoginSecPolicyEvent.EventExpiryError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPLoginSecPolicyEvent.EventExpiryError valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © VeriSign Inc. All Rights Reserved.